Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0019556GameMaker Runner[All Projects] Windows (YYC)Public2015-11-17 16:062016-06-02 09:14
ReporterStephen Jolly 
Assigned ToRussell Kay 
PriorityMediumSeverityC - GeneralReproducibility100%
StatusClosedResolutionFixed 
PlatformWindows (YYC)OSWindows 8OS Version
Summary0019556: Windows (YYC): Using self as a script argument causes code to fail
DescriptionIt does not appear that when using Windows YYC that it recognizes the Self attribute when passing to a function. I tried creating a script that three arguments gets passed. One is the Object itself, the state that I want to change to and the next state that it will change to after that. The same project works great in the standard Windows GameMaker Target, however under Windows YYC, the same code completely fails. And even if I set the initial state without the script and set it to run, if I try to call that script it fails work.
Steps To ReproduceI've included a OneDrive share to an example project I had put together to show this. SAMPLE URL: http://1drv.ms/1N85l3x [^]
Additional InformationOriginal helpdesk ticket: http://help.yoyogames.com/tickets/97371 [^]
GM Version1.4.1672
Attached Files

- Relationships

-  Notes
(0043462)
Russell Kay (Manager)
2016-05-23 21:20

Fixed in gitlab Fixed in gitlab checkin 994324f
(0043644)
Daniel Cleaton (Administrator)
2016-06-02 09:14

Sample is no longer hosted, but the description makes this sound the same as 0015583, which is now fixed.

Verifying in EA478. Closing. Fix will be in next EA/Beta releases.


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker